Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Class SerializingCacheProvider

    java.lang.Object
      org.apache.cassandra.cache.SerializingCacheProvider

All Implemented Interfaces:
  IRowCacheProvider

    public class SerializingCacheProvider

extends java.lang.Object
implements IRowCacheProvider

Constructor Summary
`SerializingCacheProvider()`

Method Summary
`ICache<RowCacheKey,IRowCacheEntry>` | `create(long capacity, boolean useMemoryWeigher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializingCacheProvider

    public SerializingCacheProvider()

Method Detail

### create

    public ICache<RowCacheKey,IRowCacheEntry> create(long capacity,
                                                     boolean useMemoryWeigher)

  Specified by:
    `create` in interface `IRowCacheProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation